
AddRoom("Thickchess", {
					colour={r=0.5,g=0.7,b=0.5,a=0.3},
					value = GROUND.CHECKER,
					contents =  {
									countstaticlayouts={
										["Maxwell1"] = function() return math.random(0,3) < 1 and 1 or 0 end,
										["Maxwell2"] = function() return math.random(0,3) < 1 and 1 or 0 end,
										["Maxwell3"] = function() return math.random(0,3) < 1 and 1 or 0 end,
										["Maxwell4"] = function() return math.random(0,3) < 1 and 1 or 0 end,
										["Maxwell6"] = function() return math.random(0,3) < 1 and 1 or 0 end,
										["Maxwell7"] = function() return math.random(0,3) < 1 and 1 or 0 end,
										["ChessSpot1"] = function() return math.random(0,3) end,
										["ChessSpot2"] = function() return math.random(0,3) end,
										["ChessSpot3"] = function() return math.random(0,3) end,
									},
					                distributepercent = 0.75,
									distributeprefabs = {
										marbletree = 5,
										flower_evil = 1,
										marblepillar = 0.2,
										knight = 0.20,
										bishop = 0.25,
										rook = 0.15,
					                }
					            }
					})
AddRoom("Guarded_PigKingdom", {
					colour={r=0.8,g=.8,b=.1,a=.50},
					value = GROUND.GRASS,
					tags = {"Town"},
					contents =  {
									countstaticlayouts=
									{
										["TorchPigking"]=1,
										["pigguard_berries"]=function() return math.random(0,1) end,
									},
					                countprefabs= {
										pigtorch = function () return 3 + math.random(6) end,
					                    pighouse = function () return 5 + math.random(4) end,
					                }
					            }
					})
AddRoom("Guarded_Pondopolis", {
					colour={r=.30,g=.20,b=.50,a=.50},
					value = GROUND.GRASS,
					contents =  {
					                countprefabs= {
					                    pond = function () return 3 + math.random(1) end,
					                    pond_mos =function () return 3 + math.random(2) end,
					                },
									distributepercent = 0.1,
									distributeprefabs = {
					                    grass = 8,
					                    flower = 6,
					                    sapling = 1,
									},
					            }
					})